#!/bin/sh

# Copyright (C) 2019, 2020 Svante Signell

# Written by Svante Signell  <svante.signell@gmail.com>

# This file is part of hurd-cross.

# Hurd-cross is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3 or (at your
# option) any later version.

# The hurd-cross is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with the GNU Hurd.  If not, see <http://www.gnu.org/licenses/>.

. ./environment-variables.sh

if [ "$SYSTEM" = "/" ]; then
  exit 1
fi

echo "Cleaning out from $SYSTEM..."

cd "$SYSTEM"
print_info "Removing directories stamps logs src"
rm -rf stamps logs src
print_info "Removing CROSS_ROOT=$CROSS_ROOT, TARGET_ROOT=$TARGET_ROOT"
su -c "rm -rf /tools; rm -rf /cross-tools"
rm -f hurd-cross.img
